Bug 1335443 - Net::SSLeay produces a warning on EOF
Summary: Net::SSLeay produces a warning on EOF
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Net-SSLeay
Version: 22
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-12 08:52 UTC by lav
Modified: 2017-11-22 08:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 20:16:43 UTC


Attachments (Terms of Use)
proposed fix (384 bytes, patch)
2016-05-12 08:52 UTC, lav
no flags Details | Diff

Description lav 2016-05-12 08:52:50 UTC
Created attachment 1156525 [details]
proposed fix

Description of problem:
I repeatedly get this warning from Net::SSLeay:

Use of uninitialized value $got in string eq at blib/lib/Net/SSLeay.pm (autosplit into blib/lib/auto/Net/SSLeay/ssl_read_all.al) line 549.


Version-Release number of selected component (if applicable):
perl-Net-SSLeay-1.68-1.fc22.x86_64


Expected results:
no warnings

Additional info:
a patch is attached.

Comment 1 Paul Howarth 2016-05-12 09:12:24 UTC
This code has changed in the current upstream version (as found in F-24 and Rawhide); could you try one of those and see if it shows the same problem?

If it fixes it, I'd probably just update to the current version in F-22 and F-23.

Comment 2 Fedora End Of Life 2016-07-19 20:16:43 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 lav 2017-11-22 08:18:13 UTC
I have not seen these warning messages in Fedora 24-26.


Note You need to log in before you can comment on or make changes to this bug.